Loading...
Searching...
No Matches
CMotionSpider Class Reference
Inheritance diagram for CMotionSpider:
[legend]

## Public Member Functions

| CMotionSpider (COldObject *object)
void | DeleteObject (bool bAll=false) override
void | Create (Math::Vector pos, float angle, ObjectType type, float power, Gfx::COldModelManager *modelManager) override
bool | EventProcess (const Event &event) override
Public Member Functions inherited from CMotion
| CMotion (COldObject *object)
void | SetPhysics (CPhysics *physics)
virtual Error | SetAction (int action, float time=0.2f)
virtual int | GetAction ()
virtual bool | SetParam (int rank, float value)
virtual float | GetParam (int rank)
virtual bool | Write (CLevelParserLine *line)
virtual bool | Read (CLevelParserLine *line)
virtual void | SetLinVibration (Math::Vector dir)
virtual Math::Vector | GetLinVibration ()
virtual void | SetCirVibration (Math::Vector dir)
virtual Math::Vector | GetCirVibration ()
virtual void | SetTilt (Math::Vector dir)
virtual Math::Vector | GetTilt ()

## Protected Member Functions

void | CreatePhysics ()
bool | EventFrame (const Event &event)

## Protected Attributes

float | m_armMember
float | m_armTimeAbs
float | m_armTimeAction
short | m_armAngles [3 *4 *4 *3 *3+3 *4 *4 *6]
float | m_lastParticle
Protected Attributes inherited from CMotion
CApplication * | m_app
Gfx::CEngine * | m_engine
Gfx::CParticle * | m_particle
Gfx::CTerrain * | m_terrain
Gfx::CWater * | m_water
Gfx::CCamera * | m_camera
COldObject * | m_object
CPhysics * | m_physics
CRobotMain * | m_main
CSoundInterface * | m_sound
int | m_actionType
float | m_actionTime
float | m_progress
Math::Vector | m_linVibration
Math::Vector | m_cirVibration
Math::Vector | m_inclinaison

## Member Function Documentation

## DeleteObject()

void CMotionSpider::DeleteObject | ( | bool | bAll = false | ) |

override virtual

Implements CMotion.

## Create()

void CMotionSpider::Create | ( | Math::Vector | pos,
|  | float | angle,
|  | ObjectType | type,
|  | float | power,
|  | Gfx::COldModelManager * | modelManager )

override virtual

Implements CMotion.

## EventProcess()

bool CMotionSpider::EventProcess | ( | const Event & | event | ) |

override virtual

Reimplemented from CMotion.

The documentation for this class was generated from the following files:

- src/object/motion/motionspider.h
- src/object/motion/motionspider.cpp